package no.valg.valgnatt.database.geografi;

import java.util.Map;

import no.valg.valgnatt.database.hibernate.Valgdistrikt;

/**
 * Strata brukes kun til å beregne prognose pr landsdel. Utover dette har ikke Landselklassen noen funksjon.
 * Den er derfor så strippet som mulig.
 */
public class Strata extends LandInndeling {


    @Override
    public Valgdistrikt getValgdistrikt() {
        return null;
    }

    @Override
    public String getRapportid() {
        return null;
    }

    @Override
    public String getRapportnavnURLEncLC() {
        return null;
    }

    @Override
    public int getAntallMandater() {
        return 0;
    }

    public void leggTilId(String nr) {
        setNr(getNr() + nr);
    }

    public void leggTilKommuner(Map<String, Kommune> kommuner) {
        getKommuner().putAll(kommuner);
    }
}
